import {Component, inject} from '@angular/core';
import {Show} from '../../model/show';
import {FormsModule} from '@angular/forms';
import {addDoc, collection, Firestore} from '@angular/fire/firestore';

@Component({
  selector: 'app-show-form',
  standalone: true,
  imports: [
    FormsModule
  ],
  templateUrl: './show-form.component.html',
  styleUrl: './show-form.component.css'
})
export class ShowFormComponent {
  fireStore: Firestore = inject(Firestore);
  private seriesCollection = 'table_show';
  show: Show = new Show(0, "");

  save() {
    const showsRef = collection(this.fireStore, this.seriesCollection);
    addDoc(showsRef, {id: this.show.uid, title: this.show.title,});
  }
}
