import {Injectable} from '@angular/core';
import {Show} from '../model/show';
import {collection, collectionData, Firestore, orderBy, query} from '@angular/fire/firestore';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ShowService {
  private readonly shows$!: Observable<Show[]>;
  private seriesCollection = 'table_show';

  constructor(private firestore: Firestore) {
    const showsRef = collection(this.firestore, this.seriesCollection);
    const showsQuery = query(showsRef, orderBy('id'));
    this.shows$ = collectionData(showsQuery, {idField: 'uid'}) as Observable<Show[]>;
  }

  getShows() {
    return this.shows$;
  }
}
